Resume a transaction in the ACH application ( STABLE )
curl --request POST \
--url https://api.grailpay.com/api/v3/transactions/{uuid}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/api/v3/transactions/{uuid}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/api/v3/transactions/{uuid}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "The pause has been removed from this transaction and it will now process normally.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Invalid value provided for Accept header.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Invalid token.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "This transaction has not been paused, therefore it cannot be resumed.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "No transaction was found matching that UUID.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "The request cannot be executed due to a detected conflict with a duplicate request.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Something went wrong on our side. Please contact support.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}Transactions
Resume a transaction in the ACH application ( STABLE )
This endpoint allows to resume a paused transaction in the GrailPay ACH API Ecosystem.
POST
/
api
/
v3
/
transactions
/
{uuid}
/
resume
Resume a transaction in the ACH application ( STABLE )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Path Parameters
The UUID of the transaction to resume.
Example:
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Response
The response returned from a successful call to resume a transaction.
⌘I
